BOTCH-FILTER-SRC-BUILDS-FOR(1)

NAME
botch-filter-src-builds-for - filter a Sources file for the packages building for a certain architecture

SYNOPSIS

botch-filter-src-builds-for [options] inSources.. architecture outSources

DESCRIPTION
Filter a Sources control file, such that it only contains the stanzas for those source packages which build binary dependent packages for a certain architecture.

OPTIONS

-h, --help
    Show help.

--verbose
    Be verbose.

EXAMPLE
Find all source packages that build architecture dependent binary packages for armhf:

        botch-filter-src-builds-for Sources armhf - \
                | dose-builddebcheck --successes --explain-minimal --deb-native-arch=amd64 --deb-host-arch=armhf Packages_amd64 Packages_armhf \
                | sed -n 's/^\s\+success: src://p'

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.